package optimisticlockwithremove.dmo;

import java.util.Date;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

public interface Architecture extends NamedElement {

    public String getCreator();

    public Date getImportDate();

    public Set<Map.Entry<String, String>> getMetaInfo();

    public boolean isVisible();

    public String getArchitectureLabel();

    public String getCompilerSetupKey();

    public HashSet<String> getKeyWords();

    public HashSet<String> getAccessPathOperators();
    
    public boolean isMaster();

    public void setIsMaster(boolean isMaster);
}
