package optimisticlockwithremove.dmo.impl;

import javax.persistence.Access;
import javax.persistence.AccessType;
import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.OneToOne;

import optimisticlockwithremove.dmo.FormalSpecification;
import optimisticlockwithremove.dmo.Formalization;

@Entity
@Access (AccessType.FIELD)
public class FormalSpecificationImpl extends FormalNotationImpl implements FormalSpecification {

    @OneToOne (cascade = {CascadeType.PERSIST, CascadeType.MERGE, CascadeType.REFRESH })
    private FormalizationImpl formalization;

    public FormalSpecificationImpl(String name, String scopeID, FormalizationImpl formalization) {
        super(name, scopeID);
        this.formalization = formalization;
    }

    protected FormalSpecificationImpl() {
    }

    @Override
    public Formalization getFormalization() {
        return formalization;
    }

}