package optimisticlockwithremove.dmo.impl;

import javax.persistence.Access;
import javax.persistence.AccessType;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;

import optimisticlockwithremove.dmo.InterfaceObject;

@Entity
@Access (AccessType.FIELD)
public class InterfaceObjectImpl extends NamedElementImpl implements InterfaceObject {

    @Basic
    private String identifier;

    @Basic
    private String path;

    @ManyToOne (targetEntity = ScopeImpl.class,
        cascade = {CascadeType.PERSIST, CascadeType.MERGE, CascadeType.REFRESH }, fetch = FetchType.LAZY)
    private ScopeImpl scope;

    public InterfaceObjectImpl() {
    }

    @Override
    public ScopeImpl getScope() {
        return scope;
    }

    public void setScope(ScopeImpl scope) {
        this.scope = scope;
    }

    @Override
    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    @Override
    public String getTypeName() {
        return null;

    }

}
