package optimisticlockwithremove.dmo.impl;

import javax.persistence.Access;
import javax.persistence.AccessType;
import javax.persistence.Basic;
import javax.persistence.Entity;

import optimisticlockwithremove.dmo.NamedElement;

@Entity
@Access (AccessType.FIELD)
public abstract class NamedElementImpl extends ModelElementImpl implements NamedElement {

    @Basic
    private String name;

    public NamedElementImpl() {
    }

    public NamedElementImpl(String name) {
        this.name = name;
    }

    @Override
    public String getName() {
        return name == null ? "" : name;
    }

    @Override
    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return this.getName();
    }
}
