package optimisticlockwithremove.dmo.impl;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.Access;
import javax.persistence.AccessType;
import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.ManyToMany;

import optimisticlockwithremove.dmo.FormalAssumption;
import optimisticlockwithremove.dmo.FormalRequirement;

@Entity
@Access (AccessType.FIELD)
public class FormalRequirementImpl extends FormalSpecificationImpl implements FormalRequirement {

    @ManyToMany (cascade = {CascadeType.PERSIST, CascadeType.MERGE, CascadeType.REFRESH, CascadeType.REMOVE })
    private Set<FormalAssumptionImpl> assumptions;

    protected FormalRequirementImpl() {
    }

    public FormalRequirementImpl(String name, String scopeID, FormalizationImpl formalization) {
        super(name, scopeID, formalization);
        assumptions = new HashSet<FormalAssumptionImpl>();
    }

    @SuppressWarnings ({"unchecked", "rawtypes" })
    @Override
    public Set<FormalAssumption> getAssumptions() {
        return (Set)assumptions;
    }

}